lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dronejob/version'

Gem::Specification.new do |s|
  s.name        = "dronejob"
  s.version     = Dronejob::VERSION
  s.licenses    = ["BSD-3-Clause"]
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Tobias Strebitzer"]
  s.email       = ["tobias.strebitzer@magloft.com"]
  s.homepage    = "https://github.com/MagLoft/dronejob"
  s.summary     = "DroneJob Drone Factory"
  s.description = "Scalable worker factory for ruby"
  s.required_ruby_version = '>= 2.4'
  s.add_dependency "bundler", "< 3.0.0", ">= 1.12.0"
  s.add_runtime_dependency "actionpack", ">= 4.0.2", "< 5.0.0"
  s.add_runtime_dependency "activejob", ">= 4.0.2", "< 5.0.0"
  s.add_runtime_dependency "bigdecimal", "~> 1.4"
  s.add_runtime_dependency "git", ">= 1.3"
  s.add_runtime_dependency "google-cloud-logging", ">= 1.2"
  s.add_runtime_dependency "thor", ">= 0.19"
  s.add_runtime_dependency "workspace", ">= 2.0"
  s.add_runtime_dependency "workspace-archive", ">= 2.0"
  s.add_runtime_dependency "workspace-media", ">= 2.0"
  s.add_runtime_dependency "workspace-net", ">= 2.0"
  s.add_runtime_dependency "workspace-parse", ">= 2.0"
  s.add_development_dependency "pry", ">= 0.10"
  s.add_development_dependency "rspec", ">= 3.3"
  s.add_development_dependency "rubocop", ">= 0.50"
  s.files        = `git ls-files`.split("\n")
  s.executables  = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_path = 'lib'
end
